Edge storage statistics
curl --request GET \
--url https://api.gcore.com/fastedge/v1/stats/kv_store \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/stats/kv_store"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/stats/kv_store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stats": [
{
"read_count": 123,
"write_size": 123,
"storage_size": 123,
"del_count": 123,
"time": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}Stats
Edge storage statistics
Retrieve statistics on edge storage operations including key-value store access patterns. Data shows read/write operations aggregated by time interval.
GET
/
fastedge
/
v1
/
stats
/
kv_store
Edge storage statistics
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Reporting period start time in RFC3339 format
Reporting period end time in RFC3339 format (exclusive)
Response
Returns edge storage statistics for the specified time period
Show child attributes
Show child attributes
Was this page helpful?
⌘I